I HAVE 10.5.8 IS THERE A PROGRAM TO CHECK upgrade COMPATABILITY

Back To Product

Follow this Question

1 Answer from the Community

  • If you have Intel, your computer is compatible with Snow Leopard.
    If you have PowerPC, your computer is not compatible.

    Was this useful? Answer 1

    0 of 0 people found this useful

Related Questions